# User airflow should be started under
airflow_user: airflow

# Airflow version to be installed
airflow_version: 1.10.12

# Directory airflow will be installed to
airflow_install_directory: /opt/airflow

airflow_install_pip_extra_args: '--user --constraint "https://raw.githubusercontent.com/apache/airflow/constraints-1.10.12/constraints-3.7.txt"'

airflow_pip_constraints: "https://raw.githubusercontent.com/apache/airflow/constraints-1.10.12/constraints-3.7.txt"

base_log_folder: "{{ airflow_install_directory }}/logs"

# Extra packages that will be installed for airflow via pip install
#airflow_extra_packages:
#  - celery
#  - alldbs
#  - postgres
#  - crypto
#  - devel
#  - devel_hadoop
#  - hdfs
#  - hive
#  - jdbc
#  - Kerberos
#  - ldap
#  - password
#  - rabbitmq
#  - ssh

# Services that will be started on the host
airflow_services:
  - webserver
  - scheduler
  - worker

airflow:
  core:
    dags_folder: "/opt/{{ airflow_user }}/dags"


airflow_extra_packages: "postgres,celery,crypto,devel,devel_hadoop,hdfs,hive,jdbc,Kerberos,ldap,password,rabbitmq,ssh"

airfow_docker_source: "https://github.com/puckel/docker-airflow.git"
